Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2001-0550

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2001-0550
Last Modified 05 Sep 2008 04:24:22
Published 30 Nov 2001 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2001-0550

Summary

wu-ftpd 2.6.1 allows remote attackers to execute arbitrary commands via a "~{" argument to commands such as CWD, which is not properly handled by the glob function (ftpglob).

Vulnerable Systems

Application

  • David Madore Ftpd-bsd 0.3.2

  • David Madore Ftpd-bsd 0.3.3

  • Washington University Wu-ftpd 2.5.0

  • Washington University Wu-ftpd 2.6.0

  • Washington University Wu-ftpd 2.6.1


References

CERT-VN - VU#886083

CERT - CA-2001-33

BID - 3581

REDHAT - RHSA-2001:157

CALDERA - CSSA-2001-041.0

XF - wuftp-glob-heap-corruption(7611)

HP - HPSBUX0107-162

VULN-DEV - 20010430 some ftpd implementations mishandle CWD ~{

SUSE - SuSE-SA:2001:043

MANDRAKE - MDKSA-2001:090

DEBIAN - DSA-087

BUGTRAQ - 20011128 CORE-20011001: Wu-FTP glob heap corruption vulnerability

IMMUNIX - IMNX-2001-70-036-01

CONECTIVA - CLA-2001:442


Last Updated: 27 May 2016 10:36:18